> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get coverage for a specific country

> Get coverage for a specific country



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/coverage.yml get /country_coverage/countries/{country_code}
openapi: 3.1.0
info:
  title: Telnyx Coverage API
  version: 2.0.0
  description: API for Coverage information.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /country_coverage/countries/{country_code}:
    get:
      tags:
        - Country Coverage
      summary: Get coverage for a specific country
      description: Get coverage for a specific country
      operationId: retreiveSpecificCountryCoverage
      parameters:
        - name: country_code
          in: path
          description: Country ISO code.
          required: true
          schema:
            type: string
            example: US
      responses:
        '200':
          $ref: '#/components/responses/SpecificCountryResponse'
        '400':
          $ref: '#/components/responses/numbers_BadRequestResponse'
        '401':
          $ref: '#/components/responses/numbers_UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/numbers_NotFoundResponse'
        '422':
          $ref: '#/components/responses/numbers_UnprocessableEntity'
        '500':
          $ref: '#/components/responses/numbers_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.countryCoverage.retrieveCountry('US');

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.country_coverage.retrieve_country(
                "US",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.CountryCoverage.GetCountry(context.TODO(), \"US\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.countrycoverage.CountryCoverageRetrieveCountryParams;

            import
            com.telnyx.sdk.models.countrycoverage.CountryCoverageRetrieveCountryResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    CountryCoverageRetrieveCountryResponse response = client.countryCoverage().retrieveCountry("US");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.country_coverage.retrieve_country("US")

            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->countryCoverage->retrieveCountry('US');

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx country-coverage retrieve-country \
              --api-key 'My API Key' \
              --country-code US
components:
  responses:
    SpecificCountryResponse:
      description: Response for specific country coverage
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/CountryCoverage'
    numbers_BadRequestResponse:
      description: >-
        Bad request, the request was unacceptable, often due to missing a
        required parameter.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
    numbers_UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
          examples:
            Authentication Failed:
              value:
                errors:
                  - code: '10009'
                    title: Authentication failed
                    detail: Could not understand the provided credentials.
                    meta:
                      url: https://developers.telnyx.com/docs/overview/errors/10009
    numbers_NotFoundResponse:
      description: The requested resource doesn't exist.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
    numbers_UnprocessableEntity:
      description: Unprocessable entity. Check the 'detail' field in response for details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
    numbers_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
  schemas:
    CountryCoverage:
      type: object
      properties:
        code:
          type: string
          description: Country ISO code
        numbers:
          type: boolean
        features:
          type: array
          description: Set of features supported
          items:
            type: string
        phone_number_type:
          type: array
          description: Phone number type
          items:
            type: string
        reservable:
          type: boolean
          description: Supports reservable
        quickship:
          type: boolean
          description: Supports quickship
        international_sms:
          type: boolean
        p2p:
          type: boolean
        local:
          type: object
          properties:
            features:
              type: array
              items:
                type: string
            reservable:
              type: boolean
            quickship:
              type: boolean
            international_sms:
              type: boolean
            p2p:
              type: boolean
            full_pstn_replacement:
              type: boolean
        toll_free:
          type: object
          properties:
            features:
              type: array
              items:
                type: string
            reservable:
              type: boolean
            quickship:
              type: boolean
            international_sms:
              type: boolean
            p2p:
              type: boolean
            full_pstn_replacement:
              type: boolean
        mobile:
          type: object
          additionalProperties: true
        national:
          type: object
          additionalProperties: true
        inventory_coverage:
          type: boolean
          description: >-
            Indicates whether country can be queried with inventory coverage
            endpoint
        shared_cost:
          type: object
          additionalProperties: true
        region:
          type:
            - string
            - 'null'
          description: Geographic region (e.g., AMER, EMEA, APAC)
      example:
        code: US
        numbers: true
        features:
          - hd_voice
          - emergency
          - voice
          - mms
          - fax
          - sms
          - international_sms
        phone_number_type:
          - local
          - local
          - local
          - toll_free
        reservable: true
        quickship: true
        international_sms: true
        p2p: true
        local:
          features:
            - hd_voice
            - voice
            - international_sms
            - mms
            - fax
            - sms
            - emergency
          reservable: true
          quickship: false
          international_sms: true
          p2p: true
          full_pstn_replacement: true
        toll_free:
          features:
            - voice
            - mms
            - fax
            - sms
            - emergency
          reservable: true
          quickship: true
          international_sms: false
          p2p: false
          full_pstn_replacement: false
        mobile: {}
        national: {}
        inventory_coverage: true
        shared_cost: {}
        region: AMER
    numbers_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/numbers_Error'
      type: object
    numbers_Error:
      properties:
        code:
          type: string
          example: '10007'
        title:
          type: string
          example: Unexpected error
        detail:
          type: string
          example: An unexpected error occured.
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              example: /base
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          properties:
            url:
              type: string
              description: URL with additional information on the error.
              example: https://developers.telnyx.com/docs/overview/errors/10015
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````